ome-xml 5.2.3

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::OME Class Reference

OME model object. More...

`#include <ome/xml/model/OME.h>`

Inheritance diagram for ome::xml::model::OME:
[legend]
Collaboration diagram for ome::xml::model::OME:
[legend]

## Classes
class | Impl
| Private implementation details of OME model object. More...

## Public Member Functions
| OME ()
| Default constructor.
| OME (const OME &copy)
| Copy constructor. More...
virtual | ~OME ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
ome::compat::shared_ptr< std::string > | getUUID ()
| Get the UUID property. More...
const ome::compat::shared_ptr< std::string > | getUUID () const
| Get the UUID property. More...
void | setUUID (ome::compat::shared_ptr< std::string > &uuid)
| Set the UUID property. More...
ome::compat::shared_ptr< std::string > | getCreator ()
| Get the Creator property. More...
const ome::compat::shared_ptr< std::string > | getCreator () const
| Get the Creator property. More...
void | setCreator (ome::compat::shared_ptr< std::string > &creator)
| Set the Creator property. More...
ome::compat::shared_ptr< ome::xml::model::Rights > | getRights ()
| Get the Rights property. More...
const ome::compat::shared_ptr< ome::xml::model::Rights > | getRights () const
| Get the Rights property. More...
void | setRights (ome::compat::shared_ptr< ome::xml::model::Rights > &rights)
| Set the Rights property. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type | sizeOfProjectList () const
| Get size of linked Project list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Project > > & | getProjectList ()
| Get the Project list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Project > > & | getProjectList () const
| Get the Project list. More...
ome::compat::shared_ptr< ome::xml::model::Project > & | getProject (std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type index)
| Get Project. More...
const ome::compat::shared_ptr< ome::xml::model::Project > & | getProject (std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type index) const
| Get Project. More...
void | setProject (std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Project > &project)
| Set Project. More...
void | addProject (ome::compat::shared_ptr< ome::xml::model::Project > &project)
| Add Project. More...
void | removeProject (ome::compat::shared_ptr< ome::xml::model::Project > &project)
| Remove Project. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type | sizeOfDatasetList () const
| Get size of linked Dataset list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > > & | getDatasetList ()
| Get the Dataset list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > > & | getDatasetList () const
| Get the Dataset list. More...
ome::compat::shared_ptr< ome::xml::model::Dataset > & | getDataset (std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type index)
| Get Dataset. More...
const ome::compat::shared_ptr< ome::xml::model::Dataset > & | getDataset (std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type index) const
| Get Dataset. More...
void | setDataset (std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset)
| Set Dataset. More...
void | addDataset (ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset)
| Add Dataset. More...
void | removeDataset (ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset)
| Remove Dataset. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type | sizeOfFolderList () const
| Get size of linked Folder list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > > & | getFolderList ()
| Get the Folder list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > > & | getFolderList () const
| Get the Folder list. More...
ome::compat::shared_ptr< ome::xml::model::Folder > & | getFolder (std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type index)
| Get Folder. More...
const ome::compat::shared_ptr< ome::xml::model::Folder > & | getFolder (std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type index) const
| Get Folder. More...
void | setFolder (std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Set Folder. More...
void | addFolder (ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Add Folder. More...
void | removeFolder (ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Remove Folder. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type | sizeOfExperimentList () const
| Get size of linked Experiment list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > > & | getExperimentList ()
| Get the Experiment list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > > & | getExperimentList () const
| Get the Experiment list. More...
ome::compat::shared_ptr< ome::xml::model::Experiment > & | getExperiment (std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type index)
| Get Experiment. More...
const ome::compat::shared_ptr< ome::xml::model::Experiment > & | getExperiment (std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type index) const
| Get Experiment. More...
void | setExperiment (std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment)
| Set Experiment. More...
void | addExperiment (ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment)
| Add Experiment. More...
void | removeExperiment (ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment)
| Remove Experiment. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type | sizeOfPlateList () const
| Get size of linked Plate list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > > & | getPlateList ()
| Get the Plate list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > > & | getPlateList () const
| Get the Plate list. More...
ome::compat::shared_ptr< ome::xml::model::Plate > & | getPlate (std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type index)
| Get Plate. More...
const ome::compat::shared_ptr< ome::xml::model::Plate > & | getPlate (std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type index) const
| Get Plate. More...
void | setPlate (std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Plate > &plate)
| Set Plate. More...
void | addPlate (ome::compat::shared_ptr< ome::xml::model::Plate > &plate)
| Add Plate. More...
void | removePlate (ome::compat::shared_ptr< ome::xml::model::Plate > &plate)
| Remove Plate. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type | sizeOfScreenList () const
| Get size of linked Screen list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > > & | getScreenList ()
| Get the Screen list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > > & | getScreenList () const
| Get the Screen list. More...
ome::compat::shared_ptr< ome::xml::model::Screen > & | getScreen (std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type index)
| Get Screen. More...
const ome::compat::shared_ptr< ome::xml::model::Screen > & | getScreen (std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type index) const
| Get Screen. More...
void | setScreen (std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Screen > &screen)
| Set Screen. More...
void | addScreen (ome::compat::shared_ptr< ome::xml::model::Screen > &screen)
| Add Screen. More...
void | removeScreen (ome::compat::shared_ptr< ome::xml::model::Screen > &screen)
| Remove Screen. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type | sizeOfExperimenterList () const
| Get size of linked Experimenter list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > > & | getExperimenterList ()
| Get the Experimenter list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > > & | getExperimenterList () const
| Get the Experimenter list. More...
ome::compat::shared_ptr< ome::xml::model::Experimenter > & | getExperimenter (std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type index)
| Get Experimenter. More...
const ome::compat::shared_ptr< ome::xml::model::Experimenter > & | getExperimenter (std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type index) const
| Get Experimenter. More...
void | setExperimenter (std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter)
| Set Experimenter. More...
void | addExperimenter (ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter)
| Add Experimenter. More...
void | removeExperimenter (ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter)
| Remove Experimenter. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type | sizeOfExperimenterGroupList () const
| Get size of linked ExperimenterGroup list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > > & | getExperimenterGroupList ()
| Get the ExperimenterGroup list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > > & | getExperimenterGroupList () const
| Get the ExperimenterGroup list. More...
ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | getExperimenterGroup (std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type index)
| Get ExperimenterGroup. More...
const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | getExperimenterGroup (std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type index) const
| Get ExperimenterGroup. More...
void | setExperimenterGroup (std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type index, ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup)
| Set ExperimenterGroup. More...
void | addExperimenterGroup (ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup)
| Add ExperimenterGroup. More...
void | removeExperimenterGroup (ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup)
| Remove ExperimenterGroup. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type | sizeOfInstrumentList () const
| Get size of linked Instrument list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > > & | getInstrumentList ()
| Get the Instrument list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > > & | getInstrumentList () const
| Get the Instrument list. More...
ome::compat::shared_ptr< ome::xml::model::Instrument > & | getInstrument (std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type index)
| Get Instrument. More...
const ome::compat::shared_ptr< ome::xml::model::Instrument > & | getInstrument (std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type index) const
| Get Instrument. More...
void | setInstrument (std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument)
| Set Instrument. More...
void | addInstrument (ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument)
| Add Instrument. More...
void | removeInstrument (ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument)
| Remove Instrument. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type | sizeOfImageList () const
| Get size of linked Image list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Image > > & | getImageList ()
| Get the Image list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Image > > & | getImageList () const
| Get the Image list. More...
ome::compat::shared_ptr< ome::xml::model::Image > & | getImage (std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type index)
| Get Image. More...
const ome::compat::shared_ptr< ome::xml::model::Image > & | getImage (std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type index) const
| Get Image. More...
void | setImage (std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Set Image. More...
void | addImage (ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Add Image. More...
void | removeImage (ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Remove Image. More...
ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > | getStructuredAnnotations ()
| Get the StructuredAnnotations property. More...
const ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > | getStructuredAnnotations () const
| Get the StructuredAnnotations property. More...
void | setStructuredAnnotations (ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > &structuredAnnotations)
| Set the StructuredAnnotations property. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type | sizeOfROIList () const
| Get size of linked ROI list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > > & | getROIList ()
| Get the ROI list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > > & | getROIList () const
| Get the ROI list. More...
ome::compat::shared_ptr< ome::xml::model::ROI > & | getROI (std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type index)
| Get ROI. More...
const ome::compat::shared_ptr< ome::xml::model::ROI > & | getROI (std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type index) const
| Get ROI. More...
void | setROI (std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type index, ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Set ROI. More...
void | addROI (ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Add ROI. More...
void | removeROI (ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Remove ROI. More...
ome::compat::shared_ptr< ome::xml::model::BinaryOnly > | getBinaryOnly ()
| Get the BinaryOnly property. More...
const ome::compat::shared_ptr< ome::xml::model::BinaryOnly > | getBinaryOnly () const
| Get the BinaryOnly property. More...
void | setBinaryOnly (ome::compat::shared_ptr< ome::xml::model::BinaryOnly > &binaryOnly)
| Set the BinaryOnly property. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Static Public Member Functions
static ome::compat::shared_ptr< OME > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a OME model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
OME & | operator= (const OME &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

OME model object.

## Constructor & Destructor Documentation

## § OME()

ome::xml::model::OME::OME | ( | const OME & | copy | ) |

Copy constructor.

Parameters

  copy | the OME to copy.

## Member Function Documentation

## § addDataset()

void ome::xml::model::OME::addDataset | ( | ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset | ) |

Add Dataset.

Parameters

  dataset | the Dataset to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addExperiment()

void ome::xml::model::OME::addExperiment | ( | ome::compat::shared_ptr< ome::xml::model::Experiment > & | experiment | ) |

Add Experiment.

Parameters

  experiment | the Experiment to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addExperimenter()

void ome::xml::model::OME::addExperimenter | ( | ome::compat::shared_ptr< ome::xml::model::Experimenter > & | experimenter | ) |

Add Experimenter.

Parameters

  experimenter | the Experimenter to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addExperimenterGroup()

void ome::xml::model::OME::addExperimenterGroup | ( | ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup | ) |

Add ExperimenterGroup.

Parameters

  experimenterGroup | the ExperimenterGroup to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addFolder()

void ome::xml::model::OME::addFolder | ( | ome::compat::shared_ptr< ome::xml::model::Folder > & | folder | ) |

Add Folder.

Parameters

  folder | the Folder to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addImage()

void ome::xml::model::OME::addImage | ( | ome::compat::shared_ptr< ome::xml::model::Image > & | image | ) |

Add Image.

Parameters

  image | the Image to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addInstrument()

void ome::xml::model::OME::addInstrument | ( | ome::compat::shared_ptr< ome::xml::model::Instrument > & | instrument | ) |

Add Instrument.

Parameters

  instrument | the Instrument to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addPlate()

void ome::xml::model::OME::addPlate | ( | ome::compat::shared_ptr< ome::xml::model::Plate > & | plate | ) |

Add Plate.

Parameters

  plate | the Plate to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addProject()

void ome::xml::model::OME::addProject | ( | ome::compat::shared_ptr< ome::xml::model::Project > & | project | ) |

Add Project.

Parameters

  project | the Project to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addROI()

void ome::xml::model::OME::addROI | ( | ome::compat::shared_ptr< ome::xml::model::ROI > & | roi | ) |

Add ROI.

Parameters

  roi | the ROI to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addScreen()

void ome::xml::model::OME::addScreen | ( | ome::compat::shared_ptr< ome::xml::model::Screen > & | screen | ) |

Add Screen.

Parameters

  screen | the Screen to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § asXMLElement()

common::xml::dom::Element ome::xml::model::OME::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::OMEModelObject.

References asXMLElementInternal(), and ome::common::xml::dom::Document::getDocumentElement().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::OME::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::detail::OMEModelObject.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::detail::OMEModelObject::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), impl, and ome::common::xml::dom::Element::setAttribute().

Referenced by asXMLElement().

Here is the caller graph for this function:

## § create()

ome::compat::shared_ptr< OME > ome::xml::model::OME::create | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| static

Create a OME model object from DOM element.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Returns
  a new model object.

## § elementName()

const std::string & ome::xml::model::OME::elementName | ( |  | ) | const
| virtual

Get the element name of this model object.

This will be the most-derived class name.

Returns
  the element type.

Implements ome::xml::model::OMEModelObject.

## § getBinaryOnly() [1/2]

ome::compat::shared_ptr< ome::xml::model::BinaryOnly > ome::xml::model::OME::getBinaryOnly | ( |  | ) |

Get the BinaryOnly property.

Returns
  the BinaryOnly property.

References impl.

## § getBinaryOnly() [2/2]

const ome::compat::shared_ptr< ome::xml::model::BinaryOnly > ome::xml::model::OME::getBinaryOnly | ( |  | ) | const

Get the BinaryOnly property.

Returns
  the BinaryOnly property.

References impl.

## § getCreator() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::OME::getCreator | ( |  | ) |

Get the Creator property.

Returns
  the Creator property.

References impl.

## § getCreator() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::OME::getCreator | ( |  | ) | const

Get the Creator property.

Returns
  the Creator property.

References impl.

## § getDataset() [1/2]

ome::compat::shared_ptr< ome::xml::model::Dataset > & ome::xml::model::OME::getDataset | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type | index | ) |

Get Dataset.

Parameters

  index | the index number of the Dataset.

Returns
  the Dataset.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getDataset() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Dataset > & ome::xml::model::OME::getDataset | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type | index | ) | const

Get Dataset.

Parameters

  index | the index number of the Dataset.

Returns
  the Dataset.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getDatasetList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > > & ome::xml::model::OME::getDatasetList | ( |  | ) |

Get the Dataset list.

Returns
  a reference to the list.

References impl.

## § getDatasetList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > > & ome::xml::model::OME::getDatasetList | ( |  | ) | const

Get the Dataset list.

Returns
  a reference to the list.

References impl.

## § getExperiment() [1/2]

ome::compat::shared_ptr< ome::xml::model::Experiment > & ome::xml::model::OME::getExperiment | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type | index | ) |

Get Experiment.

Parameters

  index | the index number of the Experiment.

Returns
  the Experiment.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getExperiment() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Experiment > & ome::xml::model::OME::getExperiment | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type | index | ) | const

Get Experiment.

Parameters

  index | the index number of the Experiment.

Returns
  the Experiment.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getExperimenter() [1/2]

ome::compat::shared_ptr< ome::xml::model::Experimenter > & ome::xml::model::OME::getExperimenter | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type | index | ) |

Get Experimenter.

Parameters

  index | the index number of the Experimenter.

Returns
  the Experimenter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getExperimenter() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Experimenter > & ome::xml::model::OME::getExperimenter | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type | index | ) | const

Get Experimenter.

Parameters

  index | the index number of the Experimenter.

Returns
  the Experimenter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getExperimenterGroup() [1/2]

ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & ome::xml::model::OME::getExperimenterGroup | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type | index | ) |

Get ExperimenterGroup.

Parameters

  index | the index number of the ExperimenterGroup.

Returns
  the ExperimenterGroup.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getExperimenterGroup() [2/2]

const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & ome::xml::model::OME::getExperimenterGroup | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type | index | ) | const

Get ExperimenterGroup.

Parameters

  index | the index number of the ExperimenterGroup.

Returns
  the ExperimenterGroup.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getExperimenterGroupList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > > & ome::xml::model::OME::getExperimenterGroupList | ( |  | ) |

Get the ExperimenterGroup list.

Returns
  a reference to the list.

References impl.

## § getExperimenterGroupList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > > & ome::xml::model::OME::getExperimenterGroupList | ( |  | ) | const

Get the ExperimenterGroup list.

Returns
  a reference to the list.

References impl.

## § getExperimenterList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > > & ome::xml::model::OME::getExperimenterList | ( |  | ) |

Get the Experimenter list.

Returns
  a reference to the list.

References impl.

## § getExperimenterList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > > & ome::xml::model::OME::getExperimenterList | ( |  | ) | const

Get the Experimenter list.

Returns
  a reference to the list.

References impl.

## § getExperimentList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > > & ome::xml::model::OME::getExperimentList | ( |  | ) |

Get the Experiment list.

Returns
  a reference to the list.

References impl.

## § getExperimentList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > > & ome::xml::model::OME::getExperimentList | ( |  | ) | const

Get the Experiment list.

Returns
  a reference to the list.

References impl.

## § getFolder() [1/2]

ome::compat::shared_ptr< ome::xml::model::Folder > & ome::xml::model::OME::getFolder | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type | index | ) |

Get Folder.

Parameters

  index | the index number of the Folder.

Returns
  the Folder.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getFolder() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Folder > & ome::xml::model::OME::getFolder | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type | index | ) | const

Get Folder.

Parameters

  index | the index number of the Folder.

Returns
  the Folder.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getFolderList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > > & ome::xml::model::OME::getFolderList | ( |  | ) |

Get the Folder list.

Returns
  a reference to the list.

References impl.

## § getFolderList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > > & ome::xml::model::OME::getFolderList | ( |  | ) | const

Get the Folder list.

Returns
  a reference to the list.

References impl.

## § getImage() [1/2]

ome::compat::shared_ptr< ome::xml::model::Image > & ome::xml::model::OME::getImage | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type | index | ) |

Get Image.

Parameters

  index | the index number of the Image.

Returns
  the Image.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getImage() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Image > & ome::xml::model::OME::getImage | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type | index | ) | const

Get Image.

Parameters

  index | the index number of the Image.

Returns
  the Image.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getImageList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Image > > & ome::xml::model::OME::getImageList | ( |  | ) |

Get the Image list.

Returns
  a reference to the list.

References impl.

## § getImageList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Image > > & ome::xml::model::OME::getImageList | ( |  | ) | const

Get the Image list.

Returns
  a reference to the list.

References impl.

## § getInstrument() [1/2]

ome::compat::shared_ptr< ome::xml::model::Instrument > & ome::xml::model::OME::getInstrument | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type | index | ) |

Get Instrument.

Parameters

  index | the index number of the Instrument.

Returns
  the Instrument.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getInstrument() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Instrument > & ome::xml::model::OME::getInstrument | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type | index | ) | const

Get Instrument.

Parameters

  index | the index number of the Instrument.

Returns
  the Instrument.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getInstrumentList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > > & ome::xml::model::OME::getInstrumentList | ( |  | ) |

Get the Instrument list.

Returns
  a reference to the list.

References impl.

## § getInstrumentList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > > & ome::xml::model::OME::getInstrumentList | ( |  | ) | const

Get the Instrument list.

Returns
  a reference to the list.

References impl.

## § getPlate() [1/2]

ome::compat::shared_ptr< ome::xml::model::Plate > & ome::xml::model::OME::getPlate | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type | index | ) |

Get Plate.

Parameters

  index | the index number of the Plate.

Returns
  the Plate.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getPlate() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Plate > & ome::xml::model::OME::getPlate | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type | index | ) | const

Get Plate.

Parameters

  index | the index number of the Plate.

Returns
  the Plate.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getPlateList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > > & ome::xml::model::OME::getPlateList | ( |  | ) |

Get the Plate list.

Returns
  a reference to the list.

References impl.

## § getPlateList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > > & ome::xml::model::OME::getPlateList | ( |  | ) | const

Get the Plate list.

Returns
  a reference to the list.

References impl.

## § getProject() [1/2]

ome::compat::shared_ptr< ome::xml::model::Project > & ome::xml::model::OME::getProject | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type | index | ) |

Get Project.

Parameters

  index | the index number of the Project.

Returns
  the Project.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getProject() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Project > & ome::xml::model::OME::getProject | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type | index | ) | const

Get Project.

Parameters

  index | the index number of the Project.

Returns
  the Project.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getProjectList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Project > > & ome::xml::model::OME::getProjectList | ( |  | ) |

Get the Project list.

Returns
  a reference to the list.

References impl.

## § getProjectList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Project > > & ome::xml::model::OME::getProjectList | ( |  | ) | const

Get the Project list.

Returns
  a reference to the list.

References impl.

## § getRights() [1/2]

ome::compat::shared_ptr< ome::xml::model::Rights > ome::xml::model::OME::getRights | ( |  | ) |

Get the Rights property.

Returns
  the Rights property.

References impl.

## § getRights() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Rights > ome::xml::model::OME::getRights | ( |  | ) | const

Get the Rights property.

Returns
  the Rights property.

References impl.

## § getROI() [1/2]

ome::compat::shared_ptr< ome::xml::model::ROI > & ome::xml::model::OME::getROI | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type | index | ) |

Get ROI.

Parameters

  index | the index number of the ROI.

Returns
  the ROI.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getROI() [2/2]

const ome::compat::shared_ptr< ome::xml::model::ROI > & ome::xml::model::OME::getROI | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type | index | ) | const

Get ROI.

Parameters

  index | the index number of the ROI.

Returns
  the ROI.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getROIList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > > & ome::xml::model::OME::getROIList | ( |  | ) |

Get the ROI list.

Returns
  a reference to the list.

References impl.

## § getROIList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > > & ome::xml::model::OME::getROIList | ( |  | ) | const

Get the ROI list.

Returns
  a reference to the list.

References impl.

## § getScreen() [1/2]

ome::compat::shared_ptr< ome::xml::model::Screen > & ome::xml::model::OME::getScreen | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type | index | ) |

Get Screen.

Parameters

  index | the index number of the Screen.

Returns
  the Screen.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getScreen() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Screen > & ome::xml::model::OME::getScreen | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type | index | ) | const

Get Screen.

Parameters

  index | the index number of the Screen.

Returns
  the Screen.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getScreenList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > > & ome::xml::model::OME::getScreenList | ( |  | ) |

Get the Screen list.

Returns
  a reference to the list.

References impl.

## § getScreenList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > > & ome::xml::model::OME::getScreenList | ( |  | ) | const

Get the Screen list.

Returns
  a reference to the list.

References impl.

## § getStructuredAnnotations() [1/2]

ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > ome::xml::model::OME::getStructuredAnnotations | ( |  | ) |

Get the StructuredAnnotations property.

Returns
  the StructuredAnnotations property.

References impl.

## § getStructuredAnnotations() [2/2]

const ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > ome::xml::model::OME::getStructuredAnnotations | ( |  | ) | const

Get the StructuredAnnotations property.

Returns
  the StructuredAnnotations property.

References impl.

## § getUUID() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::OME::getUUID | ( |  | ) |

Get the UUID property.

Returns
  the UUID property.

References impl.

## § getUUID() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::OME::getUUID | ( |  | ) | const

Get the UUID property.

Returns
  the UUID property.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::OME::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Referenced by asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::OME::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

References ome::xml::model::detail::OMEModelObject::link(), and ome::xml::model::detail::OMEModelObject::logger.

## § removeDataset()

void ome::xml::model::OME::removeDataset | ( | ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset | ) |

Remove Dataset.

Parameters

  dataset | the Dataset to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeExperiment()

void ome::xml::model::OME::removeExperiment | ( | ome::compat::shared_ptr< ome::xml::model::Experiment > & | experiment | ) |

Remove Experiment.

Parameters

  experiment | the Experiment to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeExperimenter()

void ome::xml::model::OME::removeExperimenter | ( | ome::compat::shared_ptr< ome::xml::model::Experimenter > & | experimenter | ) |

Remove Experimenter.

Parameters

  experimenter | the Experimenter to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeExperimenterGroup()

void ome::xml::model::OME::removeExperimenterGroup | ( | ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup | ) |

Remove ExperimenterGroup.

Parameters

  experimenterGroup | the ExperimenterGroup to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeFolder()

void ome::xml::model::OME::removeFolder | ( | ome::compat::shared_ptr< ome::xml::model::Folder > & | folder | ) |

Remove Folder.

Parameters

  folder | the Folder to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeImage()

void ome::xml::model::OME::removeImage | ( | ome::compat::shared_ptr< ome::xml::model::Image > & | image | ) |

Remove Image.

Parameters

  image | the Image to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeInstrument()

void ome::xml::model::OME::removeInstrument | ( | ome::compat::shared_ptr< ome::xml::model::Instrument > & | instrument | ) |

Remove Instrument.

Parameters

  instrument | the Instrument to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removePlate()

void ome::xml::model::OME::removePlate | ( | ome::compat::shared_ptr< ome::xml::model::Plate > & | plate | ) |

Remove Plate.

Parameters

  plate | the Plate to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeProject()

void ome::xml::model::OME::removeProject | ( | ome::compat::shared_ptr< ome::xml::model::Project > & | project | ) |

Remove Project.

Parameters

  project | the Project to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeROI()

void ome::xml::model::OME::removeROI | ( | ome::compat::shared_ptr< ome::xml::model::ROI > & | roi | ) |

Remove ROI.

Parameters

  roi | the ROI to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeScreen()

void ome::xml::model::OME::removeScreen | ( | ome::compat::shared_ptr< ome::xml::model::Screen > & | screen | ) |

Remove Screen.

Parameters

  screen | the Screen to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § setBinaryOnly()

void ome::xml::model::OME::setBinaryOnly | ( | ome::compat::shared_ptr< ome::xml::model::BinaryOnly > & | binaryOnly | ) |

Set the BinaryOnly property.

Parameters

  binaryOnly | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setCreator()

void ome::xml::model::OME::setCreator | ( | ome::compat::shared_ptr< std::string > & | creator | ) |

Set the Creator property.

Parameters

  creator | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setDataset()

void ome::xml::model::OME::setDataset | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset
| ) |  |

Set Dataset.

Parameters

  index | the index number of the Dataset.
  dataset | the Dataset to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setExperiment()

void ome::xml::model::OME::setExperiment | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Experiment > & | experiment
| ) |  |

Set Experiment.

Parameters

  index | the index number of the Experiment.
  experiment | the Experiment to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setExperimenter()

void ome::xml::model::OME::setExperimenter | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Experimenter > & | experimenter
| ) |  |

Set Experimenter.

Parameters

  index | the index number of the Experimenter.
  experimenter | the Experimenter to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setExperimenterGroup()

void ome::xml::model::OME::setExperimenterGroup | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup
| ) |  |

Set ExperimenterGroup.

Parameters

  index | the index number of the ExperimenterGroup.
  experimenterGroup | the ExperimenterGroup to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setFolder()

void ome::xml::model::OME::setFolder | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Folder > & | folder
| ) |  |

Set Folder.

Parameters

  index | the index number of the Folder.
  folder | the Folder to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setImage()

void ome::xml::model::OME::setImage | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Image > & | image
| ) |  |

Set Image.

Parameters

  index | the index number of the Image.
  image | the Image to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setInstrument()

void ome::xml::model::OME::setInstrument | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Instrument > & | instrument
| ) |  |

Set Instrument.

Parameters

  index | the index number of the Instrument.
  instrument | the Instrument to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setPlate()

void ome::xml::model::OME::setPlate | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Plate > & | plate
| ) |  |

Set Plate.

Parameters

  index | the index number of the Plate.
  plate | the Plate to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setProject()

void ome::xml::model::OME::setProject | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Project > & | project
| ) |  |

Set Project.

Parameters

  index | the index number of the Project.
  project | the Project to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setRights()

void ome::xml::model::OME::setRights | ( | ome::compat::shared_ptr< ome::xml::model::Rights > & | rights | ) |

Set the Rights property.

Parameters

  rights | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setROI()

void ome::xml::model::OME::setROI | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::ROI > & | roi
| ) |  |

Set ROI.

Parameters

  index | the index number of the ROI.
  roi | the ROI to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setScreen()

void ome::xml::model::OME::setScreen | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Screen > & | screen
| ) |  |

Set Screen.

Parameters

  index | the index number of the Screen.
  screen | the Screen to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setStructuredAnnotations()

void ome::xml::model::OME::setStructuredAnnotations | ( | ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > & | structuredAnnotations | ) |

Set the StructuredAnnotations property.

Parameters

  structuredAnnotations | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setUUID()

void ome::xml::model::OME::setUUID | ( | ome::compat::shared_ptr< std::string > & | uuid | ) |

Set the UUID property.

Parameters

  uuid | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § sizeOfDatasetList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > >::size_type ome::xml::model::OME::sizeOfDatasetList | ( |  | ) | const

Get size of linked Dataset list.

Returns
  the size of the list.

References impl.

## § sizeOfExperimenterGroupList()

std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > >::size_type ome::xml::model::OME::sizeOfExperimenterGroupList | ( |  | ) | const

Get size of linked ExperimenterGroup list.

Returns
  the size of the list.

References impl.

## § sizeOfExperimenterList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > >::size_type ome::xml::model::OME::sizeOfExperimenterList | ( |  | ) | const

Get size of linked Experimenter list.

Returns
  the size of the list.

References impl.

## § sizeOfExperimentList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > >::size_type ome::xml::model::OME::sizeOfExperimentList | ( |  | ) | const

Get size of linked Experiment list.

Returns
  the size of the list.

References impl.

## § sizeOfFolderList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > >::size_type ome::xml::model::OME::sizeOfFolderList | ( |  | ) | const

Get size of linked Folder list.

Returns
  the size of the list.

References impl.

## § sizeOfImageList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Image > >::size_type ome::xml::model::OME::sizeOfImageList | ( |  | ) | const

Get size of linked Image list.

Returns
  the size of the list.

References impl.

## § sizeOfInstrumentList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > >::size_type ome::xml::model::OME::sizeOfInstrumentList | ( |  | ) | const

Get size of linked Instrument list.

Returns
  the size of the list.

References impl.

## § sizeOfPlateList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > >::size_type ome::xml::model::OME::sizeOfPlateList | ( |  | ) | const

Get size of linked Plate list.

Returns
  the size of the list.

References impl.

## § sizeOfProjectList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Project > >::size_type ome::xml::model::OME::sizeOfProjectList | ( |  | ) | const

Get size of linked Project list.

Returns
  the size of the list.

References impl.

## § sizeOfROIList()

std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > >::size_type ome::xml::model::OME::sizeOfROIList | ( |  | ) | const

Get size of linked ROI list.

Returns
  the size of the list.

References impl.

## § sizeOfScreenList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > >::size_type ome::xml::model::OME::sizeOfScreenList | ( |  | ) | const

Get size of linked Screen list.

Returns
  the size of the list.

References impl.

## § update()

void ome::xml::model::OME::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Implements ome::xml::model::OMEModelObject.

References addDataset(), addExperiment(), addExperimenter(), addExperimenterGroup(), addFolder(), addImage(), addInstrument(), addPlate(), addProject(), addROI(), addScreen(), ome::xml::model::BinaryOnly::create(), ome::xml::model::Rights::create(), ome::xml::model::Screen::create(), ome::xml::model::Folder::create(), ome::xml::model::Experiment::create(), ome::xml::model::Project::create(), ome::xml::model::ROI::create(), ome::xml::model::ExperimenterGroup::create(), ome::xml::model::Dataset::create(), ome::xml::model::Experimenter::create(), ome::xml::model::Plate::create(), ome::xml::model::Instrument::create(), ome::xml::model::StructuredAnnotations::create(), ome::xml::model::Image::create(), ome::common::xml::dom::Element::getAttribute(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), ome::common::xml::dom::Element::getTagName(), ome::common::xml::dom::Element::hasAttribute(), ome::xml::model::detail::OMEModelObject::logger, setBinaryOnly(), setCreator(), setRights(), setStructuredAnnotations(), setUUID(), ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::detail::OMEModelObject::update(), and validElementName().

## § validElementName()

bool ome::xml::model::OME::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

References ome::xml::model::detail::OMEModelObject::validElementName().

Referenced by update().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/OME.h
- ome/xml/model/OME.cpp